<?php
/*
Plugin Name:  City Weather
Plugin URI: http://www.mokamelhaa.ir
Description:  This plugin allows you to easily add super clean weather widget to your site.
Version:      1.0.0
Author: 20script
Author URI: http://www.20script.ir
License: GPL v3 

*/
if ( is_admin() && ( !defined( 'DOING_AJAX' ) || !DOING_AJAX ) )
	require 'class-admin.php';
else
	require 'class-frontend.php';

// Add settings link on plugin page
function viavi_weather_link( $links ) {
	$settings_link = '<a href="options-general.php?page=weather_page">Settings</a>';
	array_unshift( $links, $settings_link );
	return $links;
}

$plugin = plugin_basename( __FILE__ );
add_filter( "plugin_action_links_$plugin", 'viavi_weather_link' );


add_action( 'admin_enqueue_scripts', 'viavi_weather_enqueue_color_picker' );
function viavi_weather_enqueue_color_picker( $hook_suffix ) {
    // first check that $hook_suffix is appropriate for your admin page
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'viavi-script-handle', plugins_url('viavi-script.min.js', __FILE__ ), array( 'wp-color-picker' ), false, true );
}


// Creating the widget 
class city_weather_widget extends WP_Widget {

function city_weather_widget() { parent::WP_Widget(false, $name = 'City Weather Widget'); }
 

// This is where the action happens
function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
echo $args['before_title'] . $title . $args['after_title'];

return city_weather_logic();
  
echo $args['after_widget'];
}
		
// Widget Backend 
function form( $instance ) {
$title 			= isset($instance['title']) ? esc_attr($instance['title']) : "";
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Widget Title: (optional)' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
 
 
<?php 
}
	
// Updating widget replacing old instances with new
function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class viavi_widget ends here

// Register and load the widget 
add_action( 'widgets_init', create_function('', 'return register_widget("city_weather_widget");') ); 



function city_weather_logic()
{
$options = get_option('weather_page');
 
     $location		   = $options['city_weather_location']; 
	 $rtn 	  		   = "";	
	 
	 if($options['city_weather_units']=='C')
	 {
	 	$units    	   = "metric";
		$units_display = 'C';
	 }
	 else
	 {
	 	$units    	   = "imperial";
		$units_display = 'F';
	 }
	 
	 $bg_color 		   = "";
	 $size             = $options['city_weather_size'];
	 $show_stats_class = "";
	 $inline_style     = "";
	 $background       = $options['city_weather_custom_bg_image'];	
	 $header_title     = $options['city_weather_title'];
	 $custom_bg_color  = $options['city_weather_custom_bg_color'];	 
	 $show_stats	   = $options['city_weather_hide_stats'];
	 $days_to_show 		=$options['city_weather_forecast'];

	// GET WEATHER DATA 
	$weather_url="http://api.openweathermap.org/data/2.5/weather?q=".$location."&units=$units&cnt=7&lang=en";
	$weather_json=file_get_contents($weather_url);
	$data=json_decode($weather_json,true); 
	
	// GET FORECAST DATA
	$forecast_url = "http://api.openweathermap.org/data/2.5/forecast/daily?q=".$location."&units=$units&lang=en&cnt=7";	
	$forecast_json=file_get_contents($forecast_url);
	$data_forecast=json_decode($forecast_json,true);  
	 
	 $city_name_slug= $location;	 
 	 $today_temp 	= round($data['main']['temp']);
	 $today_high 	= round($data['main']['temp_max']);
	 $today_low 	= round($data['main']['temp_min']);
	
	
	// DATA
	$humidity 		= round($data['main']['humidity']);
	$wind 		= round($data['wind']['speed']);
	
	$wind_label = array ( 'N','NNE','NE','ENE','E','SE','SSE','ESE','S','SSW','SW','WSW','W','WNW','NW','NNW');
						
	$wind_direction = $wind_label[ fmod((($data['wind']['deg'] + 11) / 22.5),16) ];	
	
	
	if( $custom_bg_color )
	{
		if( substr(trim($custom_bg_color), 0, 1) != "#" AND substr(trim(strtolower($custom_bg_color)), 0, 3) != "rgb" ) { $custom_bg_color = "#" . $custom_bg_color; }
		$inline_style .= "background-color: {$custom_bg_color};";
		$bg_color = "custom";
	}
	else
	{
		// COLOR OF WIDGET
		$bg_color = "temp1";
		if($units_display == "F")
		{
			if($today_temp > 31 AND $today_temp < 40) $bg_color = "temp2";
			if($today_temp >= 40 AND $today_temp < 50) $bg_color = "temp3";
			if($today_temp >= 50 AND $today_temp < 60) $bg_color = "temp4";
			if($today_temp >= 60 AND $today_temp < 80) $bg_color = "temp5";
			if($today_temp >= 80 AND $today_temp < 90) $bg_color = "temp6";
			if($today_temp >= 90) $bg_color = "temp7";
		}
		else
		{
			if($today_temp > 1 AND $today_temp < 4) $bg_color = "temp2";
			if($today_temp >= 4 AND $today_temp < 10) $bg_color = "temp3";
			if($today_temp >= 10 AND $today_temp < 15) $bg_color = "temp4";
			if($today_temp >= 15 AND $today_temp < 26) $bg_color = "temp5";
			if($today_temp >= 26 AND $today_temp < 32) $bg_color = "temp6";
			if($today_temp >= 32) $bg_color = "temp7";
		}
	}
	
	
	if($background) $bg_color = "darken";
	
	if($inline_style != "")
	{
		$inline_style = " style=\"{$inline_style}\"";
	}
 
  
  	 
				 $block = array();
					 
							
							$block['title'] = '<none>'; 
							$block['subject'] = '';			
							 
							$rtn .= "
							<div id=\"city_weather-{$city_name_slug}\" class=\"city_weather-wrap awecf {$bg_color} {$show_stats_class} awe_{$size}\"{$inline_style}>
						";
						
						if($background) 
						{ 
							$rtn .= "<div class=\"city_weather-cover\" style='background-image: url($background);'>";
							$rtn .= "<div class=\"city_weather-darken\">";
						}
					
							
						$rtn .= "			 
								<div class=\"city_weather-header\">{$header_title}</div>
								
								 
								<div class=\"city_weather-current-temp\">
									<img src='http://openweathermap.org/img/w/{$data['weather'][0]['icon']}.png'>
									$today_temp<sup>{$units_display}</sup>
								</div> <!-- /.city_weather-current-temp -->
						";	
						
					if($show_stats=="show")
					{
						
						$speed_text = ($units == "metric") ?'km/h' : 'mph';

						
					   $rtn .= "
								 
								<div class=\"city_weather-todays-stats\">
										<div class=\"awe_desc\">{$data['weather'][0]['description']}</div>
										<div class=\"awe_humidty\">humidity: {$data['main']['humidity']}% </div>
										<div class=\"awe_wind\">wind: {$data['wind']['speed']}" . $speed_text . " {$wind_direction}</div>
										<div class=\"awe_highlow\"> H {$today_high} &bull; L {$today_low}</div>	
									</div> <!-- /.city_weather-todays-stats -->
								
						";
				    }
					
					  $rtn .= "<div class=\"city_weather-forecast awe_days_{$days_to_show} awecf\">";
						
						$c = 1;
						$dt_today = date( 'Ymd', time( 'timestamp', 0 ) );
						$days_of_week = array('Sun','Mon','Tue','Wed','Thu','Fri','Sat');	  	
						$forecast_list=$data_forecast['list'];
					
						 foreach($forecast_list as $forecast)
							{
							
								$day_of_week = $days_of_week[ date('w', $forecast['dt']) ];	
							
								if( $dt_today >= date('Ymd', $forecast['dt'])) continue;
								
								$rtn .= "
										<div class=\"city_weather-forecast-day\">
											<div class=\"city_weather-forecast-day-temp\">".round($forecast['temp']['day'])."<sup>{$units_display}</sup></div>
											<div class=\"city_weather-forecast-day-abbr\">$day_of_week</div>
										</div>
									";
								if($c == $days_to_show)break;
									$c++;
							}		
							

					  $rtn .= " </div> <!-- /.city_weather-forecast -->";
						
						if($background) 
						{ 
							$rtn .= "</div> <!-- /.city_weather-cover -->";
							$rtn .= "</div> <!-- /.city_weather-darken -->";
						}
						
						$rtn .= "</div> <!-- /.city_weather-wrap -->";
					 
							echo $block['content'] = $rtn;
				 

}
?>
