<?php
define("VIAVI_NAME","City Weather");
define("VIAVI_TAGLINE","Add super clean weather to your site!");

add_action('admin_init', 'weather_btn_init' );
function weather_btn_init(){
  register_setting( 'weather_btn_options', 'weather_page' );
  $new_options = array(     
	'city_weather_location' => 'London,UK',
	'city_weather_title' => 'London',	
	'city_weather_units' => 'F',
	'city_weather_size' => 'wide',
	'city_weather_forecast' => '3',	
	'city_weather_custom_bg_color' => '#5cbe4a',
	'city_weather_custom_bg_image' => '',	
	'city_weather_hide_stats' => ''     
  );
  add_option( 'weather_page', $new_options );
}


add_action('admin_menu', 'show_weather_btn_options');
function show_weather_btn_options() {
   
   add_menu_page('City Weather Options', 'City Weather', 'administrator', 'weather_page', 'weather_btn_options',plugins_url('/city-weather/images/icon.png'));
  
}
 

// ADMIN PAGE
function weather_btn_options() {
?>
    <link href="<?php echo plugins_url( 'admin.css' , __FILE__ ); ?>" rel="stylesheet" type="text/css">
    <div class="viavi_admin_wrap">
        <div class="viavi_admin_top">
            <h1><?php echo VIAVI_NAME?> <small> - <?php echo VIAVI_TAGLINE?></small></h1>
        </div>

        <div class="viavi_admin_main_wrap">
            <div class="viavi_admin_main_left">
          <script type="text/javascript">
		  jQuery(document).ready(function($){
				$('.button_bg_color').wpColorPicker();
			});
		  </script>       

    <form method="post" action="options.php" id="options">
      <?php settings_fields('weather_btn_options'); ?>
      <?php $options = get_option('weather_page');        
		if (!isset($options['city_weather_location'])) {$options['city_weather_location'] = "London,UK";}
    	if (!isset($options['city_weather_title'])) {$options['city_weather_title'] = "London";}	
		if (!isset($options['city_weather_units'])) {$options['city_weather_units'] = "";}
		if (!isset($options['city_weather_size'])) {$options['city_weather_size'] = "";}
		if (!isset($options['city_weather_forecast'])) {$options['city_weather_forecast'] = "";}
		if (!isset($options['city_weather_custom_bg_color'])) {$options['city_weather_custom_bg_color'] = "#5cbe4a";}
		if (!isset($options['city_weather_custom_bg_image'])) {$options['city_weather_custom_bg_image'] = "";}
		
		if (!isset($options['city_weather_hide_stats'])) {$options['city_weather_hide_stats'] = "";}
      ?>
      <table class="form-table">
         
          
		<tr valign="top"><th scope="row"><label for="btm">Location</label></th>
          <td><input id="btm" name="weather_page[city_weather_location]" type="text" value="<?php echo $options['city_weather_location']; ?>" placeholder="London,UK"/></td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Title</label></th>
          <td><input id="btm" name="weather_page[city_weather_title]" type="text" value="<?php echo $options['city_weather_title']; ?>" placeholder="London"/></td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Units</label></th>
          <td><select name="weather_page[city_weather_units]" id="">
		  		<option value="F" <?php if($options['city_weather_units']=="F"){ ?>selected="selected"<?php }?>>F</option>
				<option value="C" <?php if($options['city_weather_units']=="C"){ ?>selected="selected"<?php }?>>C</option>
		  	  </select>
		  
		   </td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Size</label></th>
          <td><select name="weather_page[city_weather_size]" id="">
		  		<option value="wide" <?php if($options['city_weather_size']=="wide"){ ?>selected="selected"<?php }?>>Wide</option>
				<option value="tall" <?php if($options['city_weather_size']=="tall"){ ?>selected="selected"<?php }?>>Tall</option>
		  	  </select>
		  
		   </td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Forecast</label></th>
          <td><select name="weather_page[city_weather_forecast]" id="">
		  		<option value="1" <?php if($options['city_weather_forecast']=="1"){ ?>selected="selected"<?php }?>>1 Days</option>
				<option value="2" <?php if($options['city_weather_forecast']=="2"){ ?>selected="selected"<?php }?>>2 Days</option>
				<option value="3" <?php if($options['city_weather_forecast']=="3"){ ?>selected="selected"<?php }?>>3 Days</option>
				<option value="4" <?php if($options['city_weather_forecast']=="4"){ ?>selected="selected"<?php }?>>4 Days</option>
				<option value="5" <?php if($options['city_weather_forecast']=="5"){ ?>selected="selected"<?php }?>>5 Days</option>
				 
		  	  </select>
		  
		   </td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Custom Background Color</label></th>
          <td> <input name="weather_page[city_weather_custom_bg_color]" class="button_bg_color" id="link-color" type="text" value="<?php echo $options['city_weather_custom_bg_color']; ?>" />
		  </td>
        </tr>
        <tr valign="top"><th scope="row"><label for="btm">Background Image</label></th>
          <td> <input name="weather_page[city_weather_custom_bg_image]" id="city_weather_custom_bg_image" type="text" value="<?php echo $options['city_weather_custom_bg_image']; ?>" />
		  </td>
        </tr>
		<tr valign="top"><th scope="row"><label for="btm">Hide Stats</label></th>
          <td><select name="weather_page[city_weather_hide_stats]" id="">
		  		<option value="hide" <?php if($options['city_weather_hide_stats']=="hide"){ ?>selected="selected"<?php }?>>Hide</option>
				<option value="show" <?php if($options['city_weather_hide_stats']=="show"){ ?>selected="selected"<?php }?>>Show</option>
		  	  </select>
		  
		   </td>
        </tr>

      </table>

      <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
      </p>
    </form>
 

</div>
            <div class="viavi_admin_main_right">
                 <div class="viavi_admin_box">

            <center><a href="http://codecanyon.net/user/viaviwebtech" target="_blank"><img src="<?php echo plugins_url( 'images/logo.png' , __FILE__ ); ?>" width="220" height="69" title="viaviwebtech"></a><br /><br />
            <a href="https://twitter.com/viaviwebtech" class="twitter-follow-button" target="_blank">Follow @viaviwebtech</a>
       
 
<br /><br />


                </div>

            </div>
        </div>
    </div>



<?php
}
?>